Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Screening
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
    • Additional entity search
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Screening

Company Watchlist check

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/companysanction
Retrieves all company sanction checks associated with a screening transaction.
Refer to Watchlist Checks for an example of how to use this endpoint in practice.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Watchlist hits against the companies behind the vessel, including any additional entities screened with it.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/companysanction?username=undefined&limit=undefined&offset=undefined&screenresult=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default (incl. pagination)
{
    "meta": {
        "limit": 10,
        "next": "/api/v1/companysanction?screenresult=14837196&api_key=&username=&limit=10&offset=10",
        "offset": 0,
        "previous": null,
        "total_count": 589
    },
    "objects": [
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": null,
            "associate_name": null,
            "associate_relationship": null,
            "associate_type": null,
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "National Iranian Tanker Company",
            "compliance_id": 138234,
            "id": 9678295,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9678295",
            "sanction_name": "EC 2015/1862 Iran List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": "SHIP_MANAGER",
            "since_date": "2015-10-18",
            "to_date": "2016-01-16"
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": null,
            "associate_name": null,
            "associate_relationship": null,
            "associate_type": null,
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "National Iranian Tanker Company",
            "compliance_id": 138235,
            "id": 9678296,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9678296",
            "sanction_name": "EC (CFSP) 2015/1863 Iran List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": "SHIP_MANAGER",
            "since_date": "2015-10-18",
            "to_date": "2016-01-16"
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": null,
            "associate_name": null,
            "associate_relationship": null,
            "associate_type": null,
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "National Iranian Tanker Company",
            "compliance_id": 139126,
            "id": 9678297,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9678297",
            "sanction_name": "OFAC - Specially Designated National List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": "SHIP_MANAGER",
            "since_date": "2012-07-12",
            "to_date": "2016-01-16"
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": null,
            "associate_name": null,
            "associate_relationship": null,
            "associate_type": null,
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "National Iranian Tanker Company",
            "compliance_id": 140432,
            "id": 9678298,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9678298",
            "sanction_name": "DFAT (Australia) Consolidated List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": "SHIP_MANAGER",
            "since_date": "2013-07-04",
            "to_date": "2016-01-18"
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 150800,
            "id": 9677741,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677741",
            "sanction_name": "Rhode Island Office of the General Treasurer – Scrutinized Companies List Iran",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "CRITICAL",
            "ship_relationship": null,
            "since_date": null,
            "to_date": null
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 119398,
            "id": 9677742,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677742",
            "sanction_name": "New York Iran Divestment Act of 2012",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "CRITICAL",
            "ship_relationship": null,
            "since_date": null,
            "to_date": null
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 132650,
            "id": 9677743,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677743",
            "sanction_name": "EC 945/2012 Iran List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "CRITICAL",
            "ship_relationship": null,
            "since_date": "2012-10-15",
            "to_date": null
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 132651,
            "id": 9677744,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677744",
            "sanction_name": "EC 2012/635/CFSP Iran List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "CRITICAL",
            "ship_relationship": null,
            "since_date": "2012-10-15",
            "to_date": null
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 135631,
            "id": 9677745,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677745",
            "sanction_name": "EC 2015/230 Iran List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": null,
            "since_date": "2015-02-12",
            "to_date": "2016-01-16"
        },
        {
            "additional_entity_relationship": null,
            "associate_compliance_id": 1055238,
            "associate_name": "National Iranian Tanker Company",
            "associate_relationship": "Associate",
            "associate_type": "organisation",
            "company_code": 101754,
            "company_name": "NITC",
            "compliance_company_name": "N.I.T.C. Representative Office",
            "compliance_id": 138233,
            "id": 9677746,
            "ignored": false,
            "resource_uri": "/api/v1/companysanction/9677746",
            "sanction_name": "DFAT (Australia) Specified Entities List",
            "screenresult": "/api/v1/screenresult/14837196",
            "severity": "OK",
            "ship_relationship": null,
            "since_date": "2010-07-29",
            "to_date": "2016-01-18"
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Ship & Flag Watchlist check
Next
Country Sanctions check
Built with